Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.query
Class WQLParser

    java.lang.Object
      |
      +--com.sun.wbem.query.WQLParser

public class WQLParser
extends java.lang.Object
implements WQLParserConstants

JavaCC specification for a WQL parser for a subset of ANSI SQL

Field Summary
`Token` | `jj_nt`
`Token` | `token`
`WQLParserTokenManager` | `token_source`

Fields inherited from interface com.sun.wbem.query.WQLParserConstants
`and, approximateNumericLiteral, asterisk, characterStringLiteral, columnidentifier, comma, DEFAULT, digit, EOF, equalsOperator, escape, EXPONENT, FORMAL_COMMENT, from, greaterThanOperator, greaterThanOrEqualsOperator, identifier, isa, leftParen, lessThanOperator, lessThanOrEqualsOperator, letter, like, minusSign, MULTI_LINE_COMMENT, not, notEqualsOperator, or, period, plusSign, rightParen, select, SINGLE_LINE_COMMENT, solidus, tokenImage, unsignedInteger, where`

Constructor Summary
`WQLParser(java.io.InputStream stream)`
`WQLParser(java.io.Reader stream)`
`WQLParser(WQLParserTokenManager tm)`

Method Summary
`ValueExp` | `anyLiteral()`
`QueryExp` | `booleanFactor()`
`QueryExp` | `booleanPrimary()`
`QueryExp` | `booleanTerm()`
`QueryExp` | `booleanTest()`
`java.lang.String` | `columnName()`
`AttributeExp` | `columnReference()`
`int` | `compOp()`
`void` | `disable_tracing()`
`void` | `enable_tracing()`
`NumericValue` | `exactNumericLiteral()`
`FromExp` | `fromClause()`
`StringValueExp` | `generalLiteral()`
`ParseException` | `generateParseException()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`static void` | `main(java.lang.String[] args)`
`WQLExp` | `querySpecification()`
`void` | `ReInit(java.io.InputStream stream)`
`void` | `ReInit(java.io.Reader stream)`
`void` | `ReInit(WQLParserTokenManager tm)`
`BinaryRelQueryExp` | `relOperation()`
`QueryExp` | `searchCondition()`
`QueryExp` | `searchConditionOnly()`
`SelectList` | `selectList()`
`AttributeExp` | `selectSublist()`
`boolean` | `sign()`
`NumericValue` | `signedNumericLiteral()`
`java.lang.Object[]` | `tableExpression()`
`java.lang.String` | `tableName()`
`QualifiedAttributeExp` | `tableReference()`
`NumericValue` | `unsignedNumericLiteral()`
`QueryExp` | `whereClause()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public WQLParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

Constructor Detail

### WQLParser

    public WQLParser(java.io.InputStream stream)

### WQLParser

    public WQLParser(java.io.Reader stream)

### WQLParser

    public WQLParser(WQLParserTokenManager tm)

Method Detail

### main

    public static void main(java.lang.String[] args)

### sign

    public final boolean sign()
                       throws ParseException

### unsignedNumericLiteral

    public final NumericValue unsignedNumericLiteral()
                                              throws ParseException

### exactNumericLiteral

    public final NumericValue exactNumericLiteral()
                                           throws ParseException

### columnName

    public final java.lang.String columnName()
                                      throws ParseException

### signedNumericLiteral

    public final NumericValue signedNumericLiteral()
                                            throws ParseException

### generalLiteral

    public final StringValueExp generalLiteral()
                                        throws ParseException

### anyLiteral

    public final ValueExp anyLiteral()
                              throws ParseException

### tableName

    public final java.lang.String tableName()
                                     throws ParseException

### searchConditionOnly

    public final QueryExp searchConditionOnly()
                                       throws ParseException

### searchCondition

    public final QueryExp searchCondition()
                                   throws ParseException

### booleanTerm

    public final QueryExp booleanTerm()
                               throws ParseException

### booleanFactor

    public final QueryExp booleanFactor()
                                 throws ParseException

### booleanTest

    public final QueryExp booleanTest()
                               throws ParseException

### booleanPrimary

    public final QueryExp booleanPrimary()
                                  throws ParseException

### relOperation

    public final BinaryRelQueryExp relOperation()
                                         throws ParseException

### columnReference

    public final AttributeExp columnReference()
                                       throws ParseException

### querySpecification

    public final WQLExp querySpecification()
                                    throws ParseException

### selectList

    public final SelectList selectList()
                                throws ParseException

### selectSublist

    public final AttributeExp selectSublist()
                                     throws ParseException

### tableExpression

    public final java.lang.Object[] tableExpression()
                                             throws ParseException

### tableReference

    public final QualifiedAttributeExp tableReference()
                                               throws ParseException

### fromClause

    public final FromExp fromClause()
                             throws ParseException

### whereClause

    public final QueryExp whereClause()
                               throws ParseException

### compOp

    public final int compOp()
                     throws ParseException

### ReInit

    public void ReInit(java.io.InputStream stream)

### ReInit

    public void ReInit(java.io.Reader stream)

### ReInit

    public void ReInit(WQLParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public final ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD